
Summary: an interactive calculator with X11 frontend
Name: qc
Version: 1.01
Release: 1
Copyright: GPL
Group: X11/Applications
Packager: John C. Peterson <jaypee@netcom.com>
Source: ftp://sunsite.unc.edu/pub/Linux/apps/math/calc/qc-1.01.tar.gz
Patch: qc-1.01-linux.patch
Buildroot: /tmp/build_root

%description
Quick Calc consists of two programs; the interactive calculator qc that
can do most everyday stuff, and xqc, the X11 windows frontend to qc,
(roughly equivalent to a TI-30). Quick Calc is the work of Robert Palmbos,
<robertp@macatawa.org>. It uses the xforms library, release 0.86 or newer,
so you will need to get it if you don't currently have it.

%prep
%setup
%patch -p1

%build
make

%install
# clean start
rm -rf $RPM_BUILD_ROOT
# make the directories we will need
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
# install the qc, xqc executables
install -m755 -s  qc $RPM_BUILD_ROOT/usr/bin
install -m755 -s xqc $RPM_BUILD_ROOT/usr/X11R6/bin

%files
/usr/bin/qc
/usr/X11R6/bin/xqc

